Developer docs
Request Otp
POST
/v1/auth/otp/request
const url = 'https://example.com/v1/auth/otp/request';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"email":"example","intent":"signup"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/auth/otp/request \ --header 'Content-Type: application/json' \ --data '{ "email": "example", "intent": "signup" }'Send a six-digit code. The response is identical whether or not the email has an account.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
OtpRequestIn
object
email
required
Email
string
intent
Intent
string
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Response Request Otp V1 Auth Otp Request Post
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}